Package ietf.params.xml.ns.icalendar_2

# Class LinkPropType

java.lang.Object
ietf.params.xml.ns.icalendar_2.BasePropertyType
ietf.params.xml.ns.icalendar_2.LinkPropType

public class LinkPropType extends BasePropertyType

Java class for LinkPropType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="LinkPropType">
       <complexContent>
         <extension base="{urn:ietf:params:xml:ns:icalendar-2.0}BasePropertyType">
           <choice>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}uri"/>
             <element name="uid" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="reference" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </choice>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `reference`
  `protected String`
  `uid`
  `protected String`
  `uri`

  ### Fields inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `parameters`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinkPropType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getReference()`
  Gets the value of the reference property.
  `String`
  `getUid()`
  Gets the value of the uid property.
  `String`
  `getUri()`
  Gets the value of the uri property.
  `void`
  `setReference(String value)`
  Sets the value of the reference property.
  `void`
  `setUid(String value)`
  Sets the value of the uid property.
  `void`
  `setUri(String value)`
  Sets the value of the uri property.

  ### Methods inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `getParameters, setParameters`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### uri

    protected String uri

  - ### uid

    protected String uid

  - ### reference

    protected String reference

- ## Constructor Details

  - ### LinkPropType

    public LinkPropType()

- ## Method Details

  - ### getUri

    public String getUri()
    Gets the value of the uri property.
    Returns:
      possible object is `String`

  - ### setUri

    public void setUri(String value)
    Sets the value of the uri property.
    Parameters:
      `value` - allowed object is `String`

  - ### getUid

    public String getUid()
    Gets the value of the uid property.
    Returns:
      possible object is `String`

  - ### setUid

    public void setUid(String value)
    Sets the value of the uid property.
    Parameters:
      `value` - allowed object is `String`

  - ### getReference

    public String getReference()
    Gets the value of the reference property.
    Returns:
      possible object is `String`

  - ### setReference

    public void setReference(String value)
    Sets the value of the reference property.
    Parameters:
      `value` - allowed object is `String`